org.thymeleaf.extras.springsecurity4.dialect.processor

## Class AuthorizeAttrProcessor

- Object
- - org.thymeleaf.processor.AbstractProcessor
  - - org.thymeleaf.processor.attr.AbstractAttrProcessor
    - - org.thymeleaf.processor.attr.AbstractConditionalVisibilityAttrProcessor
      - - org.thymeleaf.extras.springsecurity4.dialect.processor.AuthorizeAttrProcessor

- All Implemented Interfaces:
    Comparable<org.thymeleaf.processor.IProcessor>, org.thymeleaf.processor.IProcessor

      public class AuthorizeAttrProcessor
      extends org.thymeleaf.processor.attr.AbstractConditionalVisibilityAttrProcessor

  Renders the element children (*tag content*) if the authenticated user is authorized to see it according to the specified Spring Security expression.
  Author:
    Daniel Fernández

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ATTR_NAME`
    `static String` | `ATTR_NAME_EXPR`
    `static int` | `ATTR_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthorizeAttrProcessor()`
    `AuthorizeAttrProcessor(String attrName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPrecedence()`
    `protected boolean` | `isVisible(org.thymeleaf.Arguments arguments, org.thymeleaf.dom.Element element, String attributeName)`

    - ### Methods inherited from class org.thymeleaf.processor.attr.AbstractConditionalVisibilityAttrProcessor

      `processAttribute`

    - ### Methods inherited from class org.thymeleaf.processor.attr.AbstractAttrProcessor

      `doProcess, getMatcher`

    - ### Methods inherited from class org.thymeleaf.processor.AbstractProcessor

      `compareTo, getMessage, getMessageForProcessor, getMessageForTemplate, process`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTR_PRECEDENCE

          public static final int ATTR_PRECEDENCE

      See Also:
        Constant Field Values

    - #### ATTR_NAME

          public static final String ATTR_NAME

      See Also:
        Constant Field Values

    - #### ATTR_NAME_EXPR

          public static final String ATTR_NAME_EXPR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthorizeAttrProcessor

          public AuthorizeAttrProcessor()

    - #### AuthorizeAttrProcessor

          public AuthorizeAttrProcessor(String attrName)

  - ### Method Detail

    - #### getPrecedence

          public int getPrecedence()

      Specified by:
        `getPrecedence` in class `org.thymeleaf.processor.AbstractProcessor`

    - #### isVisible

          protected boolean isVisible(org.thymeleaf.Arguments arguments,
                                      org.thymeleaf.dom.Element element,
                                      String attributeName)

      Specified by:
        `isVisible` in class `org.thymeleaf.processor.attr.AbstractConditionalVisibilityAttrProcessor`

Copyright © 2016 The THYMELEAF team. All rights reserved.